AESCRYPT(1)

NAME
aescrypt - AES Crypt encrypts and decrypts files using the Advanced Encryption Standard (AES) encryption format.

SYNOPSIS
 aescrypt {-e|-d} [ { -p <password> | -k <keyfile> } ]
          { [-o <output filename>] <file> [<file> ...] }

DESCRIPTION
aescrypt is an advanced file encryption utility that provides a means to encrypt files using the Advanced Encryption Standard (AES) algorithm.

aescrypt encrypts files with a supplied password, and stores them to the output file specified by the '-o' switch. If no output file is specified, then the file will be written to a file of the same name with the extention '.aes' appended.

OPTIONS

-d  Decrypt the file.

-e  Encrypt the file.

-p <password>
    Pass the password on the command line. If this option is ommited and -k is ommitted, the command will prompt for a password securily.

-k <keyfile>
    Pass the filename of the key file used for encrypting or decrypting. If this option is ommited and -p is omitted, the command will prompt for a password securily.

-o <output filename>
    Specify the output filename on the command line.

<file> [<file> ...]
    Specify one or more files to be encrypted.

AUTHOR
aescrypt was written by Glenn Washburn <crass@berlios.de>, Paul E. Jones <paulej@packetizer.com>, and Mauro Gilardi <galvao.m@gmail.com>

COPYRIGHT
This software is licensed as "freeware." Permission to distribute this software in source and binary forms is hereby granted without a fee. THIS SOFTWARE IS PROVIDED 'AS IS' AND WITHOUT ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE AUTHOR SHALL NOT BE HELD LIABLE FOR ANY DAMAGES RESULTING FROM THE USE OF THIS SOFTWARE, EITHER DIRECTLY OR INDIRECTLY, INCLUDING, BUT NOT LIMITED TO, LOSS OF DATA OR DATA BEING RENDERED INACCURATE.